#include "KSGServer.h"
#include <Datei.h>
#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

char *getMainServerIp()
{
	InitDatei *dat = new InitDatei( "data/optionen.ini" );
	dat->laden();
	Text *ipT = dat->getWert( "ServerIP" );
	dat->release();
	int ln = ipT->getLength();
	char *ret = new char[ ln + 1 ];
	ret[ ln ] = 0;
	for( int i = 0; i < ln; i++ )
		ret[ i ] = ipT->getText()[ i ];
	ipT->release();
	return ret;
}

unsigned short getMainServerPort()
{
    Datei d;
    d.setDatei( "data/tmp/m.port" );
    d.open( Datei::Style::lesen );
    int port = 0;
    d.lese( (char*)&port, 4 );
    d.close();
    return port;
}

unsigned int getKlientId()
{
	Datei *dat = new Datei();
	dat->setDatei( "data/tmp/k.id" );
	dat->open( Datei::Style::lesen );
	unsigned int ret = 0;
	dat->lese( (char*)&ret, 4 );
	dat->close();
	dat = dat->release();
	return ret;
}

char getSchlssel( char **schlssel )
{
	char ln = 0;
	Datei *dat = new Datei();
	dat->setDatei( "data/tmp/schlssel.netw" );
	dat->open( Datei::Style::lesen );
	dat->lese( &ln, 1 );
	*schlssel = new char[ ln ];
	dat->lese( *schlssel, ln );
	dat->close();
	dat = dat->release();
	return ln;
}